# Git
alias g "git"
alias gc "git clone"
alias gd "git diff"
alias gl "git log --oneline"
alias gp "git pull"
alias gs "git status"
alias home "git --git-dir=$HOME/.home/ --work-tree=$HOME"

# Go
alias gb "go build -v"
alias gt "go test -v"

# Hyperfine
alias bench "hyperfine --shell=none"

# List
alias l "ls"
alias ll "ls -l"
alias l2 "ls -T -L2"
alias lu "ls -l --total-size --sort=size --reverse --no-permissions --no-user --no-time"
alias lp "ls -l --no-filesize --no-time"

# Lsof
alias tcp "lsof -PniTCP"
alias udp "lsof -PniUDP"

# Neovim
alias e "nvim"
alias n "nvim"

# Pacman
alias p "pacman"
alias pi "sudo pacman -S"
alias pr "sudo pacman -Rs"
alias pu "sudo pacman -Syu"
alias pl "pacman -Q"
alias po "pacman -Qo"
alias pc "sudo pacman -Sc"
alias paur "pacman -Qm"
alias porphan "pacman -Qtdq"

# Tmux
alias t "tmux"
alias ta "tmux attach"
alias td "tmux detach"
alias tl "tmux ls"
alias tk "tmux kill-server"

# Systemctl
alias s "systemctl"
alias s+ "systemctl start"
alias s- "systemctl stop"
alias sr "systemctl restart"
alias ss "systemctl status"
alias sl "systemctl list-units --type=service --state=running"
alias sld "systemctl list-unit-files --type=service --state=disabled"
alias sle "systemctl list-unit-files --type=service --state=enabled"
alias slt "systemctl list-timers"

# ...
alias cdp "cd ~/projects"
alias cfg "config"
alias cls "clear"
alias hex "hexdump -C"
alias log "journalctl"

# Close all windows
alias closeall "wmctrl -l | awk '{print $1}' | xargs -rn1 wmctrl -ic"
